com.digi.xbee.api.exceptions

## Class PermissionDeniedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.digi.xbee.api.exceptions.XBeeException
      - - com.digi.xbee.api.exceptions.ConnectionException
        - - com.digi.xbee.api.exceptions.PermissionDeniedException

- All Implemented Interfaces:
    Serializable

      public class PermissionDeniedException
      extends ConnectionException

  This exception will be thrown when the user does not have the appropriate access to the connection interface. Usually happens when the XBee device is communicating through a serial port.
  See Also:
    `ConnectionException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionDeniedException()` Creates a `PermissionDeniedException` with as its error detail message.
    `PermissionDeniedException(String message)` Creates a `PermissionDeniedException` with the specified message.
    `PermissionDeniedException(String message, Throwable cause)` Creates a `PermissionDeniedException` with the specified message and cause.

  - ### Method Summary

    - ### Methods inherited from class com.digi.xbee.api.exceptions.XBeeException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionDeniedException

          public PermissionDeniedException()

      Creates a `PermissionDeniedException` with as its error detail message.

    - #### PermissionDeniedException

          public PermissionDeniedException(String message)

      Creates a `PermissionDeniedException` with the specified message.
      Parameters:
        `message` - The associated message.

    - #### PermissionDeniedException

          public PermissionDeniedException(String message,
                                   Throwable cause)

      Creates a `PermissionDeniedException` with the specified message and cause.
      Parameters:
        `message` - The associated message.
        `cause` - The cause of this exception.
      See Also:
        `Throwable`

© Copyright 2014–2014 Digi International Inc. All rights reserved.